# $Revision: 1.25 $, $Date: 2010/08/21 19:08:29 $
%include	/usr/lib/rpm/macros.php
%define		_class		Services
%define		_subclass	Weather
%define		_status		stable
%define		_pearname	%{_class}_%{_subclass}
Summary:	%{_pearname} - an interface to various online weather-services
Summary(pl.UTF-8):	%{_pearname} - interfejs do różnych serwisów pogodowych
Name:		php-pear-%{_pearname}
Version:	1.4.5
Release:	2
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	3afb9f4e38d9f129c05fbe1952f2d6ee
URL:		http://pear.php.net/package/Services_Wheather/
BuildRequires:	php-pear-PEAR >= 1:1.4.0
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-ctype
Requires:	php-pcre
Requires:	php-pear
Requires:	php-pear-HTTP_Request >= 1.2.0
Suggests:	php-pear-Cache
Suggests:	php-pear-DB
Suggests:	php-pear-Net_FTP
Suggests:	php-pear-SOAP
Suggests:	php-pear-XML_Serializer
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional dependencies
%define		_noautoreq	'pear(Cache.*)' 'pear(DB.*)' 'pear(HTTP/Request.*)' 'pear(SOAP.*)' 'pear(XML/Serializer.*)' 'pear(Net/FTP.*)'

%description
Services_Weather searches for given locations and retrieves current
weather data and, dependent on the used service, also forecasts. Up to
now, GlobalWeather from CapeScience, a XML service from weather.com
and METAR from noaa.gov are supported. Further services will get
included, if they become available, have a usable API and are properly
documented.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Services_Weather wyszukuje pogodę, oraz w zależności od użytego
serwisu, także prognozę dla podanej lokalizacji. Jak do tej pory
obsługiwane są: GlobalWeather z CapeScience, usługa XML z weather.com
oraz METAR z noaa.gov. Wsparcie dla kolejnych serwisów zostanie
dodane, o ile będą one dostępne, będą miały użyteczne API i będą
odpowiednio udokumentowane.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup
sed -i -e '1s#/usr/local/bin/php#%{_bindir}/php#' ./%{php_pear_dir}/data/%{_pearname}/buildMetarDB.php
install -d docs/%{_pearname}
mv ./%{php_pear_dir}/data/%{_pearname}/buildMetarDB.php docs/%{_pearname}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f %{_docdir}/%{name}-%{version}/optional-packages.txt ]; then
	cat %{_docdir}/%{name}-%{version}/optional-packages.txt
fi

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/%{_pearname}/*
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php
%{php_pear_dir}/%{_class}/%{_subclass}

%{php_pear_dir}/data/%{_pearname}

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Services_Weather.spec,v $
Revision 1.25  2010/08/21 19:08:29  glen
- updated deps with pearize.sh
- release 2

Revision 1.24  2010/08/20 13:08:47  glen
- updated to: 1.4.5

Revision 1.23  2009/05/03 09:14:16  adamg
- updated to 1.4.4

Revision 1.22  2008/01/31 12:16:10  glen
- rel 2

Revision 1.21  2007-08-26 09:09:36  adamg
- updated to 1.4.2

Revision 1.20  2007/02/12 22:09:11  glen
- tabs in preamble

Revision 1.19  2007/02/12 01:06:25  baggins
- converted to UTF-8

Revision 1.18  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.17  2006/03/13 07:24:10  glen
- 1.4.0

Revision 1.16  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.15  2005/09/29 19:52:04  glen
- 1.3.2

Revision 1.14  2005/09/29 19:40:43  glen
- new pear packaging

Revision 1.13  2004/12/04 14:21:00  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.12  2004/10/01 19:29:50  adamg
- updated to 1.3.1

Revision 1.11  2004/07/12 17:04:18  adamg
- updated to 1.3.0

Revision 1.10  2004/05/30 13:13:52  adamg
- fixed english information about status of the package

Revision 1.9  2004/04/03 14:31:34  adamg
- updated to 1.2.2

Revision 1.8  2004/03/15 17:44:32  ankry
- massive cosmetics

Revision 1.7  2004/02/16 18:45:12  adamg
- updated to 1.2.1

Revision 1.6  2004/01/14 20:05:45  adamg
- updated to 1.2.0

Revision 1.5  2003/12/30 20:02:53  adamg
- updated to 1.1.0

Revision 1.4  2003/12/12 18:46:24  adamg
- updated to 1.0.1

Revision 1.3  2003/12/06 22:00:59  adamg
- updated to 1.0.0RC2

Revision 1.2  2003/10/12 12:26:21  qboosh
- pl fixes

Revision 1.1  2003/10/10 15:34:48  adamg
- initial import
